<!-- BEGIN: Vendor JS-->
<script src="/vendor/dashboard/app-assets/vendors/js/vendors.min.js"></script>
<script src="/vendor/dashboard/app-assets/vendors/js/forms/select/select2.full.min.js"></script>
<!-- BEGIN Vendor JS-->

<!-- BEGIN: Page Vendor JS-->
<script src="/vendor/dashboard/app-assets/vendors/js/charts/apexcharts.min.js"></script>
<!-- END: Page Vendor JS-->


<!-- BEGIN: Page Vendor JS-->
<script src="/vendor/dashboard/app-assets/vendors/js/ui/prism.min.js"></script>
<!-- END: Page Vendor JS-->

<!-- BEGIN: Theme JS-->
<script src="/vendor/dashboard/app-assets/js/core/app-menu.js"></script>
<script src="/vendor/dashboard/app-assets/js/core/app.js"></script>
<!-- END: Theme JS-->

<script src="/vendor/dashboard/app-assets/js/scripts/pages/dashboard-ecommerce.js"></script>

<!-- JavaScript for delete confirmation -->
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const deleteForms = document.querySelectorAll('.delete-alert');

        deleteForms.forEach(form => {
            form.addEventListener('submit', function(event) {
                event.preventDefault(); // Prevent default form submission
                const confirmation = confirm(
                    "Are you sure you want to delete this payment system?");

                if (confirmation) {
                    form.submit(); // Submit form if confirmed
                }
            });
        });
    });
</script>

@stack('js')
